Автор Тема: Citrix Xendesktop Linux VDA на AltLinux  (Прочитано 9100 раз)

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Citrix Xendesktop Linux VDA на AltLinux
« : 12.05.2018 19:36:49 »
Добрый день!
Меня зовут Сергей, я работаю в ИТ компании "Редсис" (интегратор).
Не так давно мы столкнулись с задачей запустить отечественную ОС в VDI инфраструктуре.
На рынке отечественного ПО для решения задач VDI как таковых мы не нашли, а всё что есть из СПО базируется на (KVM+Spice).
Про минусы протокола Spice в качестве решения под VDI можно говорить вечно, начиная от корректного редиректа USB устройств, проигрывания звука через pulseaudio, ну и соответственно работа с видео (h.264).

Вообщем как не крути, а нормально VDI работает только у западных производителей Vmware и Citrix.
Мы остановились на последнем, а именно Citrix.

Беда в том, что у Citrix'а нет готовой сборки Linux VDA агента под ОС АльтЛинукс, а пакеты от дебиана и центосе нехотят ставиться т.к. тянут за собой огромную зависимость пакетов.
Citrix Linux VDA агент - это специализированное ПО, которое ставиться на рабочую станцию для работы VDI, прошу не путать с Citrix Reciver Client.

Существуют ли варианты установить этот агент от Citrix?                   

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 401
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #1 : 12.05.2018 19:52:44 »
пакеты от дебиана и центосе нехотят ставиться т.к. тянут за собой огромную зависимость пакетов                 
ну так и напишите тут каких пакетов

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #2 : 12.05.2018 20:09:44 »
[root@host-153 user]# rpm -i XenDesktopVDA-7.12.0.375-1.el6_8.x86_64.rpm
ошибка: неудовлетворенные зависимости:
        postgresql-jdbc >= 8.4 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        postgresql-server >= 8.4 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        java-1.7.0-openjdk >= 1.7.0 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        ImageMagick >= 6.5.4.7 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        system-config-firewall-base >= 1.2.27 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        policycoreutils-python >= 2.0.83 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        xorg-x11-server-utils >= 7.7 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        xorg-x11-xinit >= 1.0.9 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        dbus-x11 >= 1.2.24 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        openmotif >= 2.3.3 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        bash >= 4.1 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        foomatic >= 4.0.0 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        cyrus-sasl >= 2.1 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        cyrus-sasl-gssapi >= 2.1 нужен для XenDesktopVDA-7.12.0.375-1.el6_8
        rpmlib(FileDigests) <= 4.6.0-1 нужен для XenDesktopVDA-7.12.0.375-1.el6_8

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 401
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #3 : 12.05.2018 20:12:17 »
apt-get install XenDesktopVDA-7.12.0.375-1.el6_8.x86_64.rpmчто говорит?

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #4 : 12.05.2018 20:20:11 »
Я щас руками некоторые доставил пакеты, остались только следующие неудовлетворенные зависимости:

[root@host-153 user]# apt-get install XenDesktopVDA-7.12.0.375-1.el6_8.x86_64.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано XenDesktopVDA для 'XenDesktopVDA-7.12.0.375-1.el6_8.x86_64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  XenDesktopVDA: Требует: system-config-firewall-base (>= 1.2.27) но пакет не может быть установлен
                 Требует: policycoreutils-python (>= 2.0.83) но пакет не может быть установлен
                 Требует: xorg-x11-server-utils (>= 7.7) но пакет не может быть установлен
                 Требует: xorg-x11-xinit (>= 1.0.9) но пакет не может быть установлен
                 Требует: dbus-x11 (>= 1.2.24) но пакет не может быть установлен
                 Требует: bash (>= 4.1)
                 Требует: foomatic (>= 4.0.0)
                 Требует: cyrus-sasl (>= 2.1) но пакет не может быть установлен
                 Требует: cyrus-sasl-gssapi (>= 2.1) но пакет не может быть установлен
                 Требует: rpmlib(FileDigests) (<= 4.6.0-1) но пакет не может быть установлен
E: Извините, `битые' пакеты

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #5 : 12.05.2018 20:21:29 »
Вообще я тестил на Centos 6.9 всё устанавливалось ОК.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 401
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #6 : 12.05.2018 20:42:32 »
Вообще я тестил на Centos 6.9 всё устанавливалось ОК.
Это очевидно, т.к. под  него они и делали.
Для ALT надо сделать пакетик по мотивам https://packages.altlinux.org/ru/Sisyphus/srpms/skype-preinstall/spec
и смотреть что там ещё вылезет.

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #7 : 12.05.2018 20:54:22 »
Знать бы как это делается :)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 652
    • Домашняя страница
    • Email
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #8 : 12.05.2018 22:08:42 »
Багу на epm, багу с URL на New/Proposed packages с просьбой собрать -preinstall и позвонить в Tionix с просьбой рассказать про VDI на Линуксе на десятки тысяч рабочих мест.
Андрей Черепанов (cas@)

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #9 : 13.05.2018 11:03:05 »
Сделал, на New/Proposed packages - зарегистрировал  "Ошибка 34899"

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 652
    • Домашняя страница
    • Email
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #10 : 13.05.2018 13:08:18 »
Спасибо, посмотрим.
Андрей Черепанов (cas@)

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #11 : 14.05.2018 05:20:25 »
Было бы классно запустить VDI Agent под Альт))))
Тут самый главный момент установить этот пакет любым путём, далее я уже подправлю скрипты инсталляции самого агента.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 652
    • Домашняя страница
    • Email
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #12 : 14.05.2018 05:56:23 »
rpm -Uvh --nodeps пакет.rpm
Андрей Черепанов (cas@)

Оффлайн nightguide

  • Завсегдатай
  • *
  • Сообщений: 10
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #13 : 14.05.2018 06:12:04 »
[root@host-153 user]# rpm -Uhv --nodeps XenDesktopVDA-7.12.0.375-1.el6_8.x86_64.rpm
Подготовка...      ##################################################
XenDesktopVDA                ошибка: распаковка архива не удалась на файле /etc/X11/ctx-nvidia-1.conf;5af8fe57: cpio: контрольные MD5-суммы не совпадают

Что-то с контрольной суммой, при этом этот пакет ставиться на центосе всё ок.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 652
    • Домашняя страница
    • Email
Re: Citrix Xendesktop Linux VDA на AltLinux
« Ответ #14 : 14.05.2018 07:21:07 »
Добавьте --force.
Андрей Черепанов (cas@)